Bug 1264154 - Deploy of hosted-engine failed on NFS storage 'Unknown pool id, pool not connected'
Deploy of hosted-engine failed on NFS storage 'Unknown pool id, pool not conn...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup (Show other bugs)
3.6.0
x86_64 Linux
unspecified Severity urgent
: ---
: 3.6.0
Assigned To: Simone Tiraboschi
Artyom
integration
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 12:11 EDT by Artyom
Modified: 2015-11-10 08:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-22 03:44:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm and setup logs (530.07 KB, application/x-gzip)
2015-09-17 12:11 EDT, Artyom
no flags Details

  None (edit)
Description Artyom 2015-09-17 12:11:04 EDT
Created attachment 1074501 [details]
vdsm and setup logs

Description of problem:
Deploy of hosted-engine failed on NFS storage with error: 'Unknown pool id, pool not connected'

Version-Release number of selected component (if applicable):
ovirt-hosted-engine-setup-1.3.0-0.6.beta.git794400d.el7ev.noarch

How reproducible:
80% (I run it 5 times and one time it succeed)

Steps to Reproduce:
1. Run hosted-engine --deploy on NFS storage
2. Continue until deployment fail
3.

Actual results:
Deployment fail with error:
[ ERROR ] Failed to execute stage 'Misc configuration': Unknown pool id, pool not connected: ('1676db39-ce93-4581-af94-ee004a668a8e',)

Expected results:
Deployment succeed without any errors

Additional info:
Comment 1 Sandro Bonazzola 2015-09-21 06:28:07 EDT
Simone is this already fixed?
Comment 2 Simone Tiraboschi 2015-09-22 03:44:33 EDT
(In reply to Sandro Bonazzola from comment #1)
> Simone is this already fixed?

I think so.
Comment 3 Yuzeir 2015-11-05 07:47:48 EST
I am still experiencing same issues with 3.6 release.
Comment 4 Simone Tiraboschi 2015-11-05 07:54:12 EST
Hello Yuzeir,
is it a fresh deployment or an upgrade?

Can you please attach the relevant logs?
Comment 5 Yuzeir 2015-11-10 08:05:19 EST
Hi Simone,

Its fresh deployment.

Nothing unusual in vdsm.log nor supervdsm.log

However, mom.log shows Errno 111 (log snippets below).

Actual error message : 
[ERROR]  Failed to execute stage 'Misc configuration': Unknown pool id, pool not connected: ('c21dde16-ba20-4fee-95b6-484866b5d8b4',)


2015-11-10 20:41:29,565 - mom.Controllers.KSM - INFO - Updating KSM configuration: pages_to_scan:0 merge_across_nodes:1 run:0 sleep_millisecs:0
2015-11-10 20:46:14,833 - mom.vdsmInterface - ERROR - Cannot connect to VDSM! [Errno 111] Connection refused
2015-11-10 20:46:29,849 - mom.vdsmInterface - ERROR - Cannot connect to VDSM! [Errno 111] Connection refused
2015-11-10 20:46:44,865 - mom.vdsmInterface - ERROR - Cannot connect to VDSM! [Errno 111] Connection refused
2015-11-10 20:46:53,438 - mom.RPCServer - INFO - RPC Server ending
2015-11-10 20:46:59,880 - mom.GuestManager - INFO - Guest Manager ending
2015-11-10 20:47:00,528 - mom.HostMonitor - INFO - Host Monitor ending
2015-11-10 20:47:00,547 - mom.PolicyEngine - INFO - Policy Engine ending
2015-11-10 20:47:00,571 - mom - INFO - MOM ending
2015-11-10 20:47:01,892 - mom - INFO - MOM starting
2015-11-10 20:47:01,903 - mom.HostMonitor - INFO - Host Monitor starting
2015-11-10 20:47:01,903 - mom - INFO - hypervisor interface vdsmxmlrpc
2015-11-10 20:47:01,960 - mom.vdsmInterface - ERROR - Cannot connect to VDSM! [Errno 111] Connection refused
2015-11-10 20:47:01,961 - mom.GuestManager - INFO - Guest Manager starting: multi-thread
2015-11-10 20:47:01,964 - mom.vdsmInterface - ERROR - Cannot connect to VDSM! [Errno 111] Connection refused
2015-11-10 20:47:01,971 - mom.Policy - INFO - Loaded policy '00-defines'
2015-11-10 20:47:02,010 - mom.Policy - INFO - Loaded policy '02-balloon'
2015-11-10 20:47:02,066 - mom.Policy - INFO - Loaded policy '03-ksm'
2015-11-10 20:47:02,066 - mom.HostMonitor - INFO - HostMonitor is ready
2015-11-10 20:47:02,126 - mom.Policy - INFO - Loaded policy '04-cputune'
2015-11-10 20:47:02,126 - mom.PolicyEngine - INFO - Policy Engine starting
2015-11-10 20:47:02,127 - mom.RPCServer - INFO - Using unix socket /var/run/vdsm/mom-vdsm.sock
2015-11-10 20:47:02,128 - mom.RPCServer - INFO - RPC Server starting
2015-11-10 20:47:17,178 - mom.Controllers.KSM - INFO - Updating KSM configuration: pages_to_scan:0 merge_across_nodes:1 run:0 sleep_millisecs:0


(In reply to Simone Tiraboschi from comment #4)
> Hello Yuzeir,
> is it a fresh deployment or an upgrade?
> 
> Can you please attach the relevant logs?

Note You need to log in before you can comment on or make changes to this bug.